<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Movement\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\PaymentForm\Models\PaymentForm;

class SalesOrderPaymentForm extends Model
{


    protected $table = "movimentacao.pedido_venda_forma_pagamento";
    protected $primaryKey = 'pvfp_codigo';
    public $timestamps = false;

    protected $fillable = [
        'pvfp_valor',
        'pvfp_numero_vezes',
        'pvfp_fk_fop_codigo',
        'pvfp_fk_pev_codigo'
    ];

    public function forma_pagamento()
    {
        return $this->belongsTo(PaymentForm::class, 'pvfp_fk_fop_codigo');
    }

}
