<?php


namespace Schaffen\Core\Visitation\Traits;



use Illuminate\Database\Eloquent\Relations\Relation;
use Schaffen\Core\Visitation\Models\Visitation;

trait HasVisitation
{
    public function visitation()
    {
        return $this->hasMany(Visitation::class, 'vis_visitavel_codigo', 'os_codigo')->where(
       'vis_visitavel_tipo',
       array_search(static::class, Relation::morphMap()) ?: static::class
    );
    }
}