<?php


namespace Schaffen\Core\PaymentForm\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\PaymentForm\Repositories\PaymentFormRepository;


class PaymentFormManager extends ManipulationManager
{

    /**
     * @var PaymentFormRepository
     */
    protected $repository;

    public function __construct(PaymentFormRepository $repository)
    {
        $this->repository = $repository;
    }


    public function paymentFormsMobile(){
        return $this->repository->list([])
            ->where('fop_codigo', '>', 0);
    }


}
